%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname 	LocalFS
%define productver  	1.3

%define __find          /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname} - Local File System product
Version:            %{productver}
Release:            1ied00
Group:              Applications/Internet
Requires:           zope >= 2.7.1
Copyright:          1999 Jonothan Farr
URL:                http://www.easyleading.org/Downloads/
Source:             http://www.easyleading.org/Downloads/%{productname}-%{productver}-andreas.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
BuildArch: 	        noarch
Requires(preun):    %{__find}

#----------------------------------------------------------------------
%description

This product allows you to serve files and browse directories from the
local file system (or network shares on Windows platforms). It also
allows you to upload files to the file system.

#----------------------------------------------------------------------
%prep

%setup -n %{productname}
#%{__rm} -rf `%{__find} ./  -name 'CVS' | xargs`

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES LICENSE README TODO version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Wed Jun 23 2004 Wei He <hewei@ied.org.cn> 1.3-1ied00
- initial release
